[Ltb-users] CentOS/RHEL 6 RPM dependency problem

Thomas Chemineau thomas.chemineau at gmail.com
Mon Aug 12 15:28:59 CEST 2013


Hi Jens,

I have the same problem here, with the same version.
I will have a look at this and report the solution.

Clement, I suppose I have to rebuild the package with a correct dependency
into the SPEC file ?

Cheers,

Thomas.


2013/7/31 Jens Vagelpohl <jens at dataflake.org>

> Hi all,
>
> I am trying to install the most recent CentOS/RHEL 6 RPM (version 2.4.35)
> on a fully up-to-date CentOS 6.4 x86_64 host. I am facing a dependency
> problem that I'm not sure how to overcome:
>
> # rpm -Uvh ./berkeleydb-ltb-4.6.21.NC-4.el6.patch4.x86_64.rpm
> ./openldap-ltb-2.4.35-1.el5.x86_64.rpm
> warning: ./berkeleydb-ltb-4.6.21.NC-4.el6.patch4.x86_64.rpm: Header V4
> DSA/SHA1 Signature, key ID 6d45bfc5: NOKEY
> error: Failed dependencies:
>         libltdl.so.3()(64bit) is needed by openldap-ltb-2.4.35-1.el5.x86_64
>
> The distribution-provided libtool-ltdl package is installed
> (libtool-ltdl-2.2.6-15.5.el6.x86_64), but it doesn't seem to satisfy this
> requirement.
>
> Hs anyone else seen this problem and solved it?
>
> Thanks!
>
> jens
>
>
>
> _______________________________________________
> ltb-users mailing list
> ltb-users at lists.ltb-project.org
> http://lists.ltb-project.org/listinfo/ltb-users
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.ltb-project.org/pipermail/ltb-users/attachments/20130812/2e67a0ab/attachment.htm>


More information about the ltb-users mailing list